﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Controls.Schedules;
using System.Windows;
using Infragistics.Controls.Schedules.Primitives;

namespace WindowsFormsApplication1
{

	public class MyDialogFactory : Infragistics.Controls.Schedules.ScheduleDialogFactoryBase
	{
		public override ActivityTypes SupportedActivityDialogTypes
		{
			get { return ActivityTypes.All; }
		}

		public override FrameworkElement CreateActivityDialog(FrameworkElement container, Infragistics.Controls.Schedules.XamScheduleDataManager dataManager, Infragistics.Controls.Schedules.ActivityBase activity, bool allowModifications, bool allowRemove)
		{
			FrameworkElement fe = null;
			ActivityDialogRibbonLite ribbonLite;

			switch (activity.ActivityType)
			{
				case ActivityType.Appointment:
					{
						fe = new AppointmentDialogCore(container, dataManager, activity as Appointment);
						ribbonLite = new ActivityDialogRibbonLite(dataManager.ColorSchemeResolved, true, true, true);
						break;
					}
				case ActivityType.Journal:
					{
						fe = new JournalDialogCore(container, dataManager, activity as Journal);
						ribbonLite = new ActivityDialogRibbonLite(dataManager.ColorSchemeResolved, true, false, false);
						break;
					}
				case ActivityType.Task:
					{
						fe = new TaskDialogCore(container, dataManager, activity as Task);
						ribbonLite = new ActivityDialogRibbonLite(dataManager.ColorSchemeResolved, true, false, false);
						break;
					}
				default:	// Return null for unsupported activity types.
					return null;
			}

			// Load our custom style for ActivityDialogRibbonLite.
			ResourceDictionary rd = new ResourceDictionary();
			rd.Source = new Uri("pack://application:,,,/RibbonStyle.xaml");
			fe.Resources.MergedDictionaries.Add(rd);

			ribbonLite.HorizontalAlignment = System.Windows.HorizontalAlignment.Stretch;
			ribbonLite.Margin = new Thickness(4);
			ribbonLite.DataContext = fe;
			((ActivityDialogCore)fe).IsActivityModifiable = allowModifications;
			((ActivityDialogCore)fe).NavigationControlSiteContent = ribbonLite;
			((ActivityDialogCore)fe).IsActivityRemoveable = allowRemove;

			return fe;
		}
	}
}
