﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Schedules;


namespace WindowsFormsApplication1
{
    /// <summary>
    /// Interaction logic for MySchedule.xaml
    /// </summary>
    public partial class MySchedule : UserControl
    {
        public MySchedule()
        {

            
            InitializeComponent();
           
            
            ObservableCollection<Resource> resources =
                    new ObservableCollection<Resource>();
            Resource resAmanda = new Resource() { Id = "own1", Name = "Amanda" };
            resources.Add(resAmanda);
            Resource resJoe = new Resource() { Id = "own2", Name = "Joe" };
            resources.Add(resJoe);

            ObservableCollection<ResourceCalendar> calendars =
                         new ObservableCollection<ResourceCalendar>(); 
            ResourceCalendar calAmanda = new ResourceCalendar()
            {
                Id = "cal1",
                OwningResourceId = "own1"
            };

            dataManager.CurrentUserId = calAmanda.OwningResourceId;

            calendars.Add(calAmanda);
            

            
                 
            ObservableCollection<Appointment> appointments =
                      new ObservableCollection<Appointment>();
            Appointment app1 = new Appointment()
            {
                Id = "t1",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "A: Appointment 1 - Category1",
                Description = "Amanda's first appointment- Activity 1 Category",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Today.AddHours(9).AddMinutes(25).ToUniversalTime(),
                End = DateTime.Today.AddHours(10).AddMinutes(42).ToUniversalTime(),
                Categories = "Category1",
                Reminder = new Reminder() { Text = "Appointment 1 Reminder" },
                 ReminderEnabled = false,
                 ReminderInterval = new TimeSpan(0,15,0)
                
                

            };
            appointments.Add(app1);
            Appointment app2 = new Appointment()
            {
                Id = "t2",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "A: Appointment 2",
                Description = "Amanda's second appointment ",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Today.AddHours(10).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime(),
                 Reminder = new Reminder(){Text="Appointment 2 Reminder"},
                 ReminderEnabled = false,
                 ReminderInterval = new TimeSpan(1,30,0)
                
            };

            appointments.Add(app2);
          

            ActivityCategoryCollection activityCategories = new ActivityCategoryCollection();

            ActivityCategory actCat1 = new ActivityCategory()
            {
                CategoryName = "Category1",
                Description = "First type of Activity",
                Color = Colors.Red
            };

            activityCategories.Add(actCat1);

            ActivityCategory actCat2 = new ActivityCategory()
            {
                CategoryName = "Category2",
                Description = "Second type of Activity",
                Color = Colors.Yellow
            };

            activityCategories.Add(actCat2);

            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
            dataConnector.ActivityCategoryItemsSource = activityCategories;

            

        }

        private void dataManager_ActivityDialogDisplaying(object sender, ActivityDialogDisplayingEventArgs e)
        {
            e.Activity.ReminderEnabled = false;
        }

       
    }
       
}
